.transform(@value) {
  -webkit-transform: @value;
  -moz-transform: @value;
  -o-transform: @value;
  -ms-transform: @value;
  transform: @value;
}

.process-backbtn {
  position: absolute;
  left: 67px;
  padding: 0;
  top: 140px;
}

.transform-box {
  transform-box: fill-box;
}

.ux-process-wrapper {
  height: 100vh;
  // background: linear-gradient(141deg, #450F7B 45%, #FC596B 100%);
  width: 100%;
  padding-top: 50px;
  -webkit-animation: slideOut 0.75s forwards;
  animation: slideOut 0.75s forwards;
  position: relative;
  .ux-container {
    padding: 0 6em;
  }

  .ux-process-left-nav {
    max-width: 350px;
    width: 100%;

    .ux-process-list-group {
      list-style: none;

      .ux-list-item {
        font-family: 'LeagueSpartan-Bold';
        font-size: 80px;
        cursor: pointer;
        color: rgba(255, 255, 255, 0.3);
        text-decoration: none;

        &.active {
          color: white;
        }
      }
    }
  }
}

.process-container {
  // max-width: 1200px;
  width: 100%;
}

.arrow-circle-start,
.arrow-circle-end,
.dashed-path {
  opacity: 0;
}

.person-left,
.person-right {
  opacity: 0;
}

.discover-phase-bg,
.define-phase-bg,
.design-phase-bg,
.launch-phase-bg {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0;
}

// .design-phase-bg{
//   left: -100px;
// }

.discover-phase-container,
.define-phase-container,
.design-phase-container,
.launch-phase-container {
  max-width: 1100px;
  width: 100%;
  margin: auto;
}

.active {

  .discover-phase-bg {
    animation: faden 1s ease 0.5s forwards;
  }

  .define-phase-bg,
  .design-phase-bg,
  .launch-phase-bg {
    animation: faden 2s ease 1s forwards;
  }

  .discover-phase-container {

    .arrow-circle-end {
      animation: faden 0.2s linear 3.6s forwards;
    }

    .dashed-path {
      stroke-dasharray: 255;
      animation: dash 1s ease 10.4s forwards;
    }

    .discover-arrow-2 {
      .discover-arrow {
        stroke-dashoffset: 21;
        stroke-dasharray: 21;
        animation: drawArrow 0.2s ease 11.8s forwards;
      }

      .discover-arrow-path {
        stroke-dashoffset: 132;
        stroke-dasharray: 132;
        animation: drawDiscoverArrowPath 0.25s linear 11.5s forwards;
      }
    }

    .discover-arrow-1 {
      .discover-arrow {
        stroke-dashoffset: 21;
        stroke-dasharray: 21;
        animation: drawArrow 0.2s ease 18.3s forwards;
      }

      .discover-arrow-path {
        stroke-dashoffset: 71;
        stroke-dasharray: 71;
        animation: drawArrowPath2 0.25s linear 18s forwards;
      }
    }

    .path-solid {
      stroke-dasharray: 2590;
      stroke-dashoffset: 2590;
      animation: draw 3.75s linear forwards;
    }

    .path-animation {
      stroke-dasharray: 2590;
      stroke-dashoffset: 2590;
      animation: drawSolidDefinePath 15s ease 3.75s forwards;
    }

    // goals animation
    .goals {
      animation: bounce 1s ease 0.3s both;
      transform-origin: 500px 400px;

      .star {
        animation: starRotate 0.65s linear 3.75s 2;
        transform-box: fill-box;
        transform-origin: center;
      }

      @keyframes starRotate {
        0% {
          transform: rotate(0deg) scale(1);
        }

        50% {
          transform: rotate(180deg) scale(1.4);
        }

        100% {
          transform: rotate(359deg) scale(1);
        }
      }
    }

    .goals-text {
      animation: faden 1s ease 0.3s both;
    }

    //communicate animation
    .communicate {
      animation: bounce 1s ease 0.55s both;
      transform-origin: 590px 478px;

      .person {
        transform-origin: center;
        transform-box: fill-box;
        transform: translate(435px, -63px) scale(1);
        animation: bouncingPerson 0.5s linear 4.5s 4 forwards;

        @keyframes bouncingPerson {
          0% {
            transform: translate(435px, -63px);

          }

          50% {
            transform: translate(435px, -61px);

          }

          100% {
            transform: translate(435px, -63px);

          }
        }
      }
    }

    //strategy animation
    .strategy {
      animation: bounce 1s ease .75s both;
      transform-origin: 630px 208px;

      .glow {
        transform-origin: center;
        transform-box: fill-box;
        animation: glow .3s linear 2 forwards 6s;

        @keyframes glow {
          0% {
            transform: translate(418px, 170px) scale(1.0);
          }

          70% {
            transform: translate(418px, 170px) scale(1.15);
          }

          100% {
            transform: translate(418px, 170px) scale(1.0);
          }
        }
      }

      .arrow {
        path {
          stroke-dasharray: 120;
          stroke-dashoffset: 120;
          animation: growarrow 0.8s ease 5.8s forwards;
        }

        @keyframes growarrow {
          0% {
            fill-opacity: 0;
            stroke-width: 1;
            stroke-opacity: 1;
            stroke-dashoffset: 120
          }

          25% {
            fill-opacity: 0;
            stroke-opacity: 1;
          }

          50% {
            stroke-dashoffset: 0
          }

          90% {
            stroke-opacity: 1;
            fill-opacity: 1;
          }

          100% {
            stroke-opacity: 0;
          }
        }
      }
    }

    .strategy-text {
      animation: faden 1s ease .75s both;
    }

    //research animation
    .research {
      animation: bounce 1s ease 1.2s both;
      transform-origin: 680px 608px;

      .research-bulb {
        animation: scaleBulb 0.6s ease 8s 2 both;
        transform-origin: center;
        transform-box: fill-box;

        @keyframes scaleBulb {
          0% {
            transform: translate(0px, 0px) scale(1);
          }

          50% {
            transform: translate(0px, 0px) scale(1.2);
          }

          100% {
            transform: translate(0px, 0px) scale(1);
          }
        }

      }
    }

    .research-text {
      animation: faden 1s ease 1.2s both;
    }

    //personas animation
    .personas {
      animation: bounce 1s ease 2.00s both;
      transform-origin: 730px 300px;

      .person-right {
        animation: personRight 0.4s ease 9.5s both;
      }

      .person-left {
        animation: personLeft 0.4s ease 9.8s both;
      }
    }

    .personas-text {
      animation: faden 1s ease 2.00s both;
    }

    //connection animation
    .connection {
      animation: bounce 1s ease 1.55s both;
      transform-origin: 750px 550px;

      .connection-animation {
        transform-box: fill-box;
        transform-origin: center;
        transform: scale(0.7) translate(-30px, 36px);
        animation: connectionanimation 1.75s ease 9s forwards;
        opacity: 0;

        @keyframes connectionanimation {
          0% {
            transform: scale(0.7) translate(-30px, 36px);
            opacity: 1;
          }

          30% {
            transform: scale(0.7) translate(-23px, 40px);
          }

          60% {
            transform: scale(0.7) translate(-18px, 33px);
          }

          80% {
            transform: scale(0.7) translate(-10px, 37px);
          }

          100% {
            transform: scale(1) translate(0, 0);
            opacity: 1;
          }
        }
      }
    }

    //journey-map animation
    .journey-map {
      animation: bounce 1s ease 2.25s both;
      transform-origin: 800px 460px;

      .location-rotate {
        animation: locationRotate 0.45s ease 11.5s both;
        transform-origin: 790px 401px;
      }
    }

    .journey-map-text {
      animation: faden 1s ease 2.25s both;
    }

    //Information Architecture animation
    .arct-info {
      animation: bounce 1s ease 2.60s both;
      transform-origin: 900px 253px;

      .draw-path {
        stroke-width: 0.15px;
        stroke: white;
        stroke-dasharray: 723;
        // stroke-dashoffset: 723;
        // fill-opacity: 0;
        animation: drawarct 2s linear 12.5s forwards;

        @keyframes drawarct {
          0% {
            stroke-dashoffset: 723;
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
            fill-opacity: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .background {
        // opacity: 0;
        animation: fadenBackground 2s linear 12.6s forwards;


      }
    }

    .arct-info-text {
      animation: faden 1s ease 2.60s both;
    }

    //location animation
    .location {
      animation: bounce 1s ease 2.80s both;
      transform-origin: 951px 473px;

      .loc-path {
        stroke-width: 0.1px;
        stroke: white;
        stroke-dasharray: 564;
        // stroke-dashoffset: 723;
        // fill-opacity: 0;
        animation: fadenBackground 1s linear 14.5s forwards;

        @keyframes drawLoc {
          0% {
            stroke-dashoffset: 564;
            fill-opacity: 0;
          }

          50% {
            stroke-dashoffset: 0;
            fill-opacity: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .inner-circ {
        transform-origin: center;
        transform-box: fill-box;
        animation: scaleanimation 1s linear forwards 14.5s;

        @keyframes scaleanimation {
          0% {
            transform: scale(0);
          }

          50% {
            transform: scale(0);
          }

          100% {
            transform: scale(1);
          }
        }
      }
    }

    //task-analysis animation
    .task-analysis-flow {
      animation: bounce 1s ease 3.15s both;
      transform-origin: 1100px 297px;

      .fills {
        animation: fadenBackground 2s ease 16.50s forwards;
      }

      .task-path {
        path {
          // fill-opacity: 0;
          stroke-width: 0.2px;
          stroke: #fff;
          stroke-dasharray: 398;
          // stroke-dashoffset: 398;
          animation: drawTaskPath 2s ease 16.5s forwards;

          @keyframes drawTaskPath {
            0% {
              stroke-dashoffset: 398;
              fill-opacity: 0;
            }

            50% {
              fill-opacity: 0;
            }

            75% {
              stroke-dashoffset: 0;
            }

            100% {
              stroke-dashoffset: 0;
              fill-opacity: 1;
            }
          }
        }
      }
    }

    .task-analysis-flow-text {
      animation: faden 1s ease 3.15s both;
    }

    @keyframes drawSolidDefinePath {
      0% {
        stroke-dashoffset: 2590;
      }

      // 6%, 7% {
      //     stroke-dashoffset: 4300;
      // }
      18%,
      20% {
        stroke-dashoffset: 2250;
      }

      33%,
      34% {
        stroke-dashoffset: 1880;
      }

      42%,
      46% {
        stroke-dashoffset: 1640;
      }

      52%,
      54% {
        stroke-dashoffset: 1410;
      }

      63%,
      70% {
        stroke-dashoffset: 1163;
      }

      74%,
      77% {
        stroke-dashoffset: 990;
      }

      88%,
      94% {
        stroke-dashoffset: 410;
      }

      100% {
        stroke-dashoffset: 0;
      }
    }
  }

  .define-phase-container {
    .arrow-circle-start {
      animation: faden 0.2s linear 0.8s forwards;
    }

    .arrow-circle-end {
      animation: faden 0.2s linear 4.7s forwards;
    }

    .dashed-path {
      stroke-dasharray: 255;
      animation: dash 1s linear 11.8s forwards;
    }

    .define-arrow-1 {
      .define-arrow {
        stroke-dashoffset: 21;
        stroke-dasharray: 21;
        animation: drawArrow 0.25s linear 16.25s forwards;
      }

      .define-arrow-path {
        stroke-dashoffset: 71;
        stroke-dasharray: 71;
        animation: drawArrowPath2 0.25s linear 16s forwards;
      }
    }

    .define-arrow-2 {
      .define-arrow {
        stroke-dashoffset: 21;
        stroke-dasharray: 21;
        animation: drawArrow 0.25s linear 10s forwards;
      }

      .define-arrow-path {
        stroke-dashoffset: 71;
        stroke-dasharray: 71;
        animation: drawArrowPath 0.25s linear 9.75s forwards;
      }
    }

    .define-path-solid {
      stroke-dasharray: 3244;
      stroke-dashoffset: -3244;
      animation: drawDefine 3.75s linear 1s forwards;
    }

    .define-path-animation {
      stroke-dasharray: 3244;
      stroke-dashoffset: -3244;
      animation: drawDefineanimated 15s linear 5.5s forwards;

      @keyframes drawDefineanimated {
        0% {
          stroke-dashoffset: -3244
        }

        15.75%,
        5.75% {
          stroke-dashoffset: -2963
        }

        36%,
        46% {
          stroke-dashoffset: -1862
        }

        60%,
        65% {
          stroke-dashoffset: -1085
        }

        83%,
        92% {
          stroke-dashoffset: -190
        }

        100% {
          stroke-dashoffset: 0
        }
      }
    }

    .brainstroming {
      animation: bounce 1s ease 1.2s both;
      transform-origin: 570px 283px;

      .pen {
        transform-origin: center;
        transform-box: fill-box;
        animation: pen .5s ease 2 7s;

        @keyframes pen {
          0% {
            transform: skewX(0deg) translateX(0px);
          }

          50% {
            transform: skewX(6deg) translateX(10px);
          }

          100% {
            transform: skewX(0deg) translateX(0px);
          }
        }
      }

      .pen-text {
        animation: fadenBackground 1s ease 7s forwards
      }

      .glowing {
        transform-origin: center;
        transform-box: fill-box;
        animation: glowing .5s ease 2 6.25s;

        @keyframes glowing {
          0% {
            transform: scale(1.0);
          }

          70% {
            transform: scale(1.15);
          }

          100% {
            transform: scale(1.0);
          }
        }
      }
    }

    .brainstroming-text {
      animation: faden 1s ease 1.2s both;
    }

    .wireframing {
      animation: bounce 1s ease 2.7s both;
      transform-origin: 766px 463px;

      .draw-wireframe {
        stroke-width: 0.2px;
        stroke: #fff;
        stroke-dasharray: 583;
        animation: drawWirePath 2s ease 10.8s forwards;


        @keyframes drawWirePath {
          0% {
            stroke-dashoffset: 583;
            fill-opacity: 0;
          }

          50% {
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .fills {
        animation: fadenBackground 2s ease 10.8s forwards;
      }
    }

    .wireframing-text {
      animation: faden 1s ease 2.7s both;
    }

    .interaction-design {
      animation: bounce 1s ease 3.65s both;
      transform-origin: 942px 270px;

      .interaction--design-animation {
        animation: circleRotate 0.7s linear 15s both;
        transform-box: fill-box;
        transform-origin: center;

        @keyframes circleRotate {
          0% {
            transform:translate(-5px, -4px) rotate(0deg);
          }

          100% {
            transform:translate(-5px, -4px) rotate(180deg)
          }
        }
      }

      .interaction-hand {
        animation: interactionhand 1s linear 14.5s;

        @keyframes interactionhand {
          0% {
            transform: translate(0, 0);
          }

          30% {
            transform: translate(0, -13px);
          }

          50% {
            transform: translate(-2px, -6px);
          }

          70% {
            transform: translate(0, -13px);
          }

          100% {
            transform: translate(0, 0);
          }
        }
      }

    }

    .interaction-design-text {
      animation: faden 1s ease 3.65s both;
    }

    .usability-testing {
      animation: bounce 1s ease 4.6s both;
      transform-origin: 1153px 276px;

      .usability-animation {
        transform-box: fill-box;
        transform-origin: center;
        animation: usabilityclick 1s ease 18s 2;

        @keyframes usabilityclick {
          0% {
            transform: translate(0px, 0px);
          }

          25% {
            transform: translate(-3px, -6px);
          }

          50% {
            transform: translate(-3px, -2px);
          }

          75% {
            transform: translate(-3px, -4px);
          }

          100% {
            transform: translate(0px, 0px);
          }
        }
      }
    }

    .usability-testing-text {
      animation: faden 1s ease 4.6s both;
    }

    .documentation {
      animation: bounce 1s ease 1.65s both;
      transform-origin: 620px 600px;

      .outer-path {
        stroke-width: 0.15px;
        stroke: white;
        stroke-dasharray: 539;
        animation: drawdoct 2s ease 8.5s forwards;

        @keyframes drawdoct {
          0% {
            stroke-dashoffset: 539;
            fill-opacity: 0;
          }

          30% {
            fill-opacity: 0;
          }

          65% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .inner-path {
        stroke-width: 0.15px;
        stroke: white;
        stroke-dasharray: 330;
        animation: drawdoctinner 1s ease 9s forwards;

        @keyframes drawdoctinner {
          0% {
            stroke-dashoffset: 330;
            fill-opacity: 0;
          }

          30% {
            fill-opacity: 0;
          }

          65% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }
    }

    .presenting {
      animation: bounce 1s ease 2.2s both;
      transform-origin: 766px 280px;

      .presenting-animation {
        transform-origin: center;
        transform-box: fill-box;
        animation: bouncingPresentation 1s ease 10s 2;

        @keyframes bouncingPresentation {
          0% {
            transform: translateY(0px);

          }

          50% {
            transform: translateY(-10px);

          }

          100% {
            transform: translateY(0px);

          }
        }
      }
    }

    .detailed-design {
      animation: bounce 1s ease 3.3s both;
      transform-origin: 890px 462px;

      .detailed-path {
        stroke-width: 0.2px;
        stroke: #fff;
        stroke-dasharray: 296;
        animation: drawDetailPath 2s ease 14s forwards;

        @keyframes drawDetailPath {
          0% {
            stroke-dashoffset: 296;
            fill-opacity: 0;
          }

          50% {
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .fills {
        animation: fadenBackground 2s ease 14s forwards;
      }
    }

    .analyse {
      animation: bounce 1s ease 4.2s both;
      transform-origin: 1100px 464px;

      .analyse-animation {
        transform-box: fill-box;
        transform-origin: center;
        animation: analyseanimation 2s ease 17s forwards;
        opacity: 0;

        @keyframes analyseanimation {
          0% {
            transform: translate(-25px, 10px);
            opacity: 1;
          }

          30% {
            transform: translate(-20px, 4px);
          }

          60% {
            transform: translate(-10px, 12px);
          }

          80% {
            transform: translate(-2px, 7px);
          }

          100% {
            transform: translate(0, 0);
            opacity: 1;
          }
        }
      }
    }

    .network {
      animation: bounce 1s ease 4.65s both;
      transform-origin: 1153px 296px;

      .rotation {
        transform-origin: 5px 6px;
        transform-box: fill-box;
        animation: rotation 1s linear 19s infinite forwards;

        @keyframes rotation {
          0% {
            transform: rotate(0deg);
          }

          50% {
            transform: rotate(180deg);
          }

          100% {
            transform: rotate(359deg);
          }
        }
      }
    }
  }

  .design-phase-container {
    .arrow-circle-start {
      animation: faden 0.2s linear 0.6s forwards;
    }

    .arrow-circle-end {
      animation: faden 0.2s linear 4.7s forwards;
    }

    .dashed-path {
      stroke-dasharray: 255;
      animation: dash 1s linear 6.5s forwards;
    }

    .design-arrow-1 {
      .design-arrow {
        stroke-dashoffset: 21;
        stroke-dasharray: 21;
        animation: drawArrow 0.25s linear 7.25s forwards;
      }

      .design-arrow-path {
        stroke-dashoffset: 120;
        stroke-dasharray: 120;
        animation: drawDesignArrowPath 0.25s linear 7s forwards;
      }
    }

    .design-path-solid {
      stroke-dasharray: 2713;
      stroke-dashoffset: 2713;
      animation: drawDesign 3.75s linear .8s forwards
    }

    .design-path-animation {
      stroke-dasharray: 2713;
      stroke-dashoffset: 2713;
      animation: drawDesignAnimation 15s linear 5s forwards;

      @keyframes drawDesignAnimation {
        0% {
          stroke-dashoffset: 2713;
        }

        10%,
        14% {
          stroke-dashoffset: 2480;
        }

        42%,
        46% {
          stroke-dashoffset: 1379;
        }

        76%,
        90% {
          stroke-dashoffset: 400;
        }

        100% {
          stroke-dashoffset: 0;
        }
      }
    }

    .emotional-design {
      animation: bounce 1s ease 1.2s both;
      transform-origin: 612px 456px;

      .circle-1 {
        animation: movement1 1s ease 6.5s forwards;

        @keyframes movement1 {
          0% {
            transform: translatex(0)
          }

          50% {
            transform: translatex(60px)
          }

          100% {
            transform: translatex(0)
          }
        }
      }

      .circle-2 {
        animation: movement2 1s ease 6.5s forwards;

        @keyframes movement2 {
          0% {
            transform: translatex(0)
          }

          50% {
            transform: translatex(-60px)
          }

          100% {
            transform: translatex(0)
          }
        }
      }
    }

    .emotional-design-text {
      animation: faden 1s ease 1.2s both;
    }

    .visual-design {
      animation: bounce 1s ease 2.7s both;
      transform-origin: 906px 345px;

      .visual-path {
        stroke-width: 0.2px;
        stroke: #fff;
        stroke-dasharray: 1139;
        animation: drawVisualPath 2s ease 11s forwards;

        @keyframes drawVisualPath {
          0% {
            stroke-dashoffset: 1139;
            fill-opacity: 0;
          }

          50% {
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .element-1 {
        animation: faden 0.5s ease 11.5s both;
        transform-origin: 906px 345px;

      }

      .element-2 {
        animation: faden 0.5s ease 11.75s both;
        transform-origin: 906px 345px;

      }

      .element-3 {
        animation: faden 0.5s ease 12s both;
        transform-origin: 906px 345px;

      }
    }

    .visual-design-text {
      animation: faden 1s ease 2.7s both;
    }

    .usability-test {
      animation: bounce .7s ease 3.99s both;
      transform-origin: 1090px 385px;

      .fills {
        animation: fadenBackground 1s ease 16.5s forwards;
      }

      .usability-arrow {
        transform-box: fill-box;
        transform-origin: center;
        animation: usabilityarrow 1s ease 2 16.5s;

        @keyframes usabilityarrow {
          0% {
            transform: translate(0px, 0px);
          }

          25% {
            transform: translate(-11px, -6px);
          }

          50% {
            transform: translate(-11px, -2px);
          }

          75% {
            transform: translate(-11px, -4px);
          }

          100% {
            transform: translate(0px, 0px);
          }
        }
      }
    }

    .usability-test-text {
      animation: faden .7s ease 3.99s both;
    }

    .location {
      animation: bounce .7s ease 1.75s both, jump 1s ease 8.75s;
      transform-origin: 742px 395px;

      @keyframes jump {
        0% {
          transform: scaleX(1) scaleY(1) translateY(0)
        }

        25% {
          transform: scaleX(1) scaleY(1) translateY(-20px)
        }

        50% {
          transform: scaleX(1.3) scaleY(0.8) translateY(20px)
        }

        75% {
          transform: translateY(-10px)
        }

        100% {
          transform: scaleX(1) scaleY(1) translateY(0)
        }
      }
    }

    .device-test {
      animation: bounce 1s ease 2.95s both;
      transform-origin: 926px 555px;

      .device-content {
        animation: faden .5s ease 13.25s both;
      }

      .device-mobile {
        transform-box: fill-box;
        transform-origin: center;
        animation: mobileSkew 0.2s linear 6 13s;

        @keyframes mobileSkew {
          0% {
            transform: skewX(-9deg);
          }

          50% {
            transform: skewX(0deg);
          }

          100% {
            transform: skewX(9deg);
          }
        }
      }
    }

    .screens {
      animation: faden 1s ease 3.65s both;
      transform-origin: 946px 255px;

      .draw-screens {
        stroke-width: 0.2px;
        stroke: #fff;
        stroke-dasharray: 343;
        animation: drawScreensPath 2s ease 14s forwards;


        @keyframes drawScreensPath {
          0% {
            stroke-dashoffset: 343;
            fill-opacity: 0;
          }

          50% {
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .fills {
        animation: fadenBackground 2s ease 14s forwards;
      }
    }

    .output {
      animation: bounce 1s ease 4.25s both;
      transform-origin: 1150px 550px;

      .outer-draw {
        stroke-width: 0.15px;
        stroke: white;
        stroke-dasharray: 389;
        animation: drawOutput 2s linear 19s forwards;

        @keyframes drawOutput {
          0% {
            stroke-dashoffset: 389;
            fill-opacity: 0;
          }

          50% {
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .inner-draw {
        stroke-width: 0.15px;
        stroke: white;
        stroke-dasharray: 417;
        animation: drawOutputinner 2s linear 19.55s forwards;

        @keyframes drawOutputinner {
          0% {
            stroke-dashoffset: 417;
            fill-opacity: 0;
          }

          50% {
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }
    }
  }

  .launch-phase-container {
    .arrow-circle-start {
      animation: faden 0.2s linear 0.8s forwards;
    }

    .arrow-circle-end {
      animation: faden 0.2s linear 4.7s forwards;
    }

    .launch-path-solid {
      stroke-dasharray: 2437;
      stroke-dashoffset: 2437;
      animation: drawLaunch 3.75s linear 1s forwards;
    }

    .launch-path-animation {
      stroke-dasharray: 2437;
      stroke-dashoffset: 2437;
      animation: drawLaunchanimation 13s linear 5s forwards;

      @keyframes drawLaunchanimation {
        0% {
          stroke-dashoffset: 2437;
        }

        14%,
        23% {
          stroke-dashoffset: 2168;
        }

        58%,
        61% {
          stroke-dashoffset: 1100;
        }

        80%,
        90% {
          stroke-dashoffset: 360;
        }

        100% {
          stroke-dashoffset: 0;
        }
      }
    }

    .dashed-path {
      stroke-dasharray: 255;
      animation: dash 1s linear 12.2s forwards;
    }

    .launch-arrow-1 {
      .launch-arrow {
        stroke-dashoffset: 21;
        stroke-dasharray: 21;
        animation: drawArrow 0.25s linear 11.25s forwards;
      }

      .launch-arrow-path {
        stroke-dashoffset: 71;
        stroke-dasharray: 71;
        animation: drawArrowPath 0.25s linear 11s forwards;
      }
    }

    .launch-arrow-2 {
      .launch-arrow {
        stroke-dashoffset: 21;
        stroke-dasharray: 21;
        animation: drawArrow 0.25s linear 17.75s forwards;
      }

      .launch-arrow-path {
        stroke-dashoffset: -71;
        stroke-dasharray: 71;
        animation: drawArrowPath2 0.25s linear 17.5s forwards;
      }
    }

    .assets-styles {
      animation: bounce 1s ease 1.5s both;
      transform-origin: 560px 280px;

      .draw-assets {
        stroke-width: 0.2px;
        stroke: #fff;
        stroke-dasharray: 489;
        animation: drawAssetPath 2s ease 6.75s forwards;


        @keyframes drawAssetPath {
          0% {
            stroke-dashoffset: 489;
            fill-opacity: 0;
          }

          50% {
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }

      }

      .fills {
        animation: fadenBackground 2s ease 6.75s forwards;
      }

      .scale-1 {
        transform: rotate(0deg);
        transform-origin: 529px 263px;
        animation: rotate1 1s ease 7s forwards;

        @keyframes rotate1 {
          0% {
            transform: rotate(-90deg);
          }

          100% {
            transform: rotate(0deg);
          }
        }
      }

      .scale-2 {
        transform: rotate(0deg);
        transform-origin: 529px 263px;
        animation: rotate1 .7s ease 6.75s forwards;

        @keyframes rotate1 {
          0% {
            transform: rotate(-45deg);
          }

          100% {
            transform: rotate(0deg);
          }
        }
      }

      // .scale-3 {
      //   transform-origin: 10px 38px;
      //   transform: rotate(0deg)
      // } 
    }

    .assets-styles-text {
      animation: faden 1s ease 1.5s both;
    }

    .prod-launch {
      animation: bounce 1s ease 3.1s both;
      transform-origin: 747px 452px;

      .prod {
        transform-box: fill-box;
        animation: prod 0.2s 3 ease 12s forwards , launch 10s linear 12.6s forwards ;

        @keyframes prod {
          0% {
            transform: translateY(0px);
            transform-origin: center;
          }
          50% {
            transform: translateY(10px);
            transform-origin: center;

          }
          100% {
            transform: translateY(0px);
            transform-origin: center;

          }
        }
      }
      @keyframes launch {
        0% {
          transform-origin: center;
          transform: translate(0,0px) scale(1) rotate(0deg);
        }
        3% {
          transform-origin: center;
          transform: translate(0px,-70px) scale(0.9) rotate(0deg);
        }
        6% {
          transform-origin: center;
          transform: translate(30px,-100px) scale(0.8) rotate(45deg);
        }
        10% {
          transform-origin: center;
          transform: translate(60px,-130px) scale(0.7) rotate(90deg);
        }
        30% {
          transform-origin: center;
          transform: translate(460px,-130px) scale(0.4) rotate(90deg);
        }
        33% {
          transform-origin: center;
          transform: translate(490px,-100px) scale(0.4) rotate(135deg);
        }
        37% {
          transform-origin: center;
          transform: translate(510px,-70px) scale(0.4) rotate(180deg);
        }
        50% {
          transform-origin: center;
          transform: translate(510px,160px) scale(0.4) rotate(180deg);
        }
        53% {
          transform-origin: center;
          transform: translate(490px,190px) scale(0.4) rotate(225deg);
        }
        56% {
          transform-origin: center;
          transform: translate(460px,190px) scale(0.4) rotate(270deg);
        }
        70% {
          transform-origin: center;
          transform: translate(30px,190px) scale(0.7) rotate(270deg);
        }
        73% {
          transform-origin: center;
          transform: translate(0px,160px) scale(0.8) rotate(315deg);
        }
        76% {
          transform-origin: center;
          transform: translate(0px,130px) scale(0.9) rotate(360deg);
        }
        92% {
          transform-origin: center;
          transform: translate(0px,-70px) scale(0.9) rotate(360deg);
        }
        100% {
          transform-origin: center;
          transform: translate(0px,0px) scale(1) rotate(360deg);
        }
      }

      .launch_base {
        animation: launchBase 0.6s ease 12s forwards;
        transform-box: fill-box;
        transform-origin: center;

        @keyframes launchBase {
          0% {
            transform: scale(0);
          }

          20% {
            transform: scale(0.75);
          }

          40% {
            transform: scale(0.6)
          }

          60% {
            transform: scale(0.85)
          }

          80% {
            transform: scale(0.8)
          }

          100% {
            transform: scale(1)
          }

          // 88% {
          //   transform: scale(0.8)
          // }
          // 100% {
          //   transform: scale(1)
          // }
        }
      }
    }

    .prod-launch-text {
      animation: faden 1s ease 3.1s both;
    }

    .launch-survey {
      animation: bounce 1s ease 4.2s both;
      transform-origin: 981px 452px;

      .draw-survey {
        stroke-width: 0.5px;
        stroke: #fff;
        stroke-dasharray: 357;
        animation: drawSurveyPath 3s ease 15.25s forwards;


        @keyframes drawSurveyPath {
          0% {
            stroke-dashoffset: 357;
            fill-opacity: 0;
          }

          50% {
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .fills {
        animation: fadenBackground 2s ease 15.5s forwards;
      }

      .survey-pen {
        transform-origin: center;
        transform-box: fill-box;
        animation: surveypen .5s ease 2 15.5s;

        @keyframes surveypen {
          0% {
            transform: skewX(0deg) translateX(0px);
          }

          50% {
            transform: skewX(6deg) translateX(10px);
          }

          100% {
            transform: skewX(0deg) translateX(0px);
          }
        }
      }
    }

    .launch-survey-text {
      animation: faden 1s ease 4.2s both;
    }

    .iteration {
      animation: bounce .7s ease 4.65s both;
      transform-origin: 1238px 455px;
      .iteration-draw {
        stroke-width: 0.5px;
        stroke: #fff;
        stroke-dasharray: 390;
        animation: drawIterationPath 3s ease 18s forwards;


        @keyframes drawIterationPath {
          0% {
            stroke-dashoffset: 390;
            fill-opacity: 0;
          }

          50% {
            fill-opacity: 0;
          }

          75% {
            stroke-dashoffset: 0;
          }

          100% {
            stroke-dashoffset: 0;
            fill-opacity: 1;
          }
        }
      }

      .fills {
        animation: fadenBackground 2s ease 18s forwards;
      }
    }

    .iteration-text {
      animation: faden .7s ease 4.65s both;
    }

    .imgs {
      animation: bounce 1s ease 2s both ,fadenBackground 2s ease 9s forwards;
      transform-origin: 600px 570px;
    }

    .success {
      animation: bounce 1s ease 3.65s both;
      transform-origin: 887px 482px;

      .thumbs-up {
        transform-box: fill-box;
        transform-origin: center;
        animation: thumbUp .5s ease 2 14.6s;

        @keyframes thumbUp {
          0% {
            transform: rotate(0deg) translateY(0);
          }

          50% {
            transform: rotate(-25deg) translateY(-2px);
          }

          100% {
            transform: rotate(0deg) translateY(0)
          }
        }
      }
    }
  }
}

.wave-animate {
  stroke-dasharray: 95;
  stroke-dashoffset: 0;
  animation: wave 1s linear 1s infinite forwards;

  @keyframes wave {
    0% {
      stroke-dashoffset: 0;

    }

    100% {
      stroke-dashoffset: 10;

    }
  }
}

// keyframes for discover

// draw path keyframe
@keyframes draw {
  0% {
    stroke-dashoffset: 2590;
  }

  100% {
    stroke-dashoffset: 0;
  }
}

// keyframes for define
@keyframes drawDefine {
  0% {
    stroke-dashoffset: -3244;
  }

  100% {
    stroke-dashoffset: 0;
  }
}

// keyframes for design
@keyframes drawDesign {
  0% {
    stroke-dashoffset: 2713
  }

  100% {
    stroke-dashoffset: 0;
  }
}

// keyframes for launch 
@keyframes drawLaunch {
  0% {
    stroke-dashoffset: 2437;
  }

  100% {
    stroke-dashoffset: 0;
  }
}

// draw discover arrow
@keyframes drawDiscoverArrowPath {
  0% {
    stroke-dashoffset: 132;
  }

  100% {
    stroke-dashoffset: 0;
  }
}

// draw design arrow
@keyframes drawDesignArrowPath {
  0% {
    stroke-dashoffset: 120;
  }

  100% {
    stroke-dashoffset: 0;
  }
}

//draw launch arrrow
@keyframes drawArrowPath {
  0% {
    stroke-dashoffset: 71;
  }

  100% {
    stroke-dashoffset: 0;
  }
}

@keyframes drawArrowPath2 {
  0% {
    stroke-dashoffset: -71;
  }

  100% {
    stroke-dashoffset: 0;
  }
}

@keyframes drawArrow {
  0% {
    stroke-dashoffset: 21;
  }

  100% {
    stroke-dashoffset: 0;
  }
}

//common animations
// bouncing animation

@keyframes bounce {
  0% {
    .transform(scale(0));
  }

  40% {
    .transform(scale(1.1));
  }

  75% {
    .transform(scale(0.95));
  }

  100% {
    .transform(scale(1));
  }
}

// fade animation

@keyframes faden {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes fadenBackground {
  0% {
    opacity: 0;
  }

  50% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

//dashed animatin
@keyframes dash {
  0% {
    stroke-dasharray: 255;
  }

  70% {
    opacity: 0;
  }

  100% {
    stroke-dasharray: 11;
    opacity: 1;
  }
}

//personas animation
@keyframes personRight {
  0% {
    transform: translate(20px, 8px);
    opacity: 0;
  }

  80% {
    transform: translate(-10px, -8px);
    opacity: 1;
  }

  100% {
    transform: translate(0, 0);
    opacity: 1;
  }
}

@keyframes personLeft {
  0% {
    transform: translate(-20px, 8px);
    opacity: 0;
  }

  80% {
    transform: translate(10px, -8px);
    opacity: 1;
  }

  100% {
    transform: translate(0, 0);
    opacity: 1;
  }
}

//location animation
@keyframes locationRotate {
  0% {
    transform: rotate(90deg);
  }

  100% {
    transform: rotate(0deg);
  }
}

//research animation
// @keyframes scaleBulb {
//   0% {
//     transform: scale(1);
//   }
//   50% {
//     transform: scale(1.2);
//   }
//   100% {
//     transform: scale(1);
//   }
// }